{ nix-colors, ... }: {
  # usage:  a = "#${config.colorScheme.palette.base00}";

  colorScheme = {
    slug = "sorahiro-hard";
    name = "sorahiro-hard";
    author = "Soraefir @ Helcel";
    variant = "dark";
    palette = {
      # Format: Name, Pantone, RAL
      base00 = "#000000"; # Black / 419C / 9005
      base01 = "#060a0f"; # Rich Black / 532C / 9005
      base02 = "#212c38"; # Yankees Blue / 433C / 5011
      base03 = "#3f5268"; # Police Blue  / 432C / 5000
      base04 = "#617b9a"; # Slate Gray  / 5415C / 5014
      base05 = "#90a7c1"; # Pewter Blue / 535C / 5024
      base06 = "#c9d3df"; # Columbia Blue / 538C / 7047
      base07 = "#fcfcfc"; # Lotion / 663C / 9016

      alt00 = "#000000"; # Black / 419C / 9005
      alt01 = "#0c0906"; # Vampire Black  / 419C / 9005
      alt02 = "#312920"; # Pine Tree / 440C / 6022
      alt03 = "#5b4e3e"; # Olive Drab Camouflage / 411C / 7013
      alt04 = "#887660"; # Shadow / 404C / 7002
      alt05 = "#b8a083"; # Pale Taupe / 480C / 1019
      alt06 = "#e1cfb9"; # Desert Sand / 482C / 1015
      alt07 = "#fcfcfc"; # Lotion / 663C / 9016

      base08 = "#f09732"; # Deep Saffron / 804C / 1033
      base09 = "#f2d831"; # Dandelion / 114C / 1016
      base0A = "#98f12f"; # Green Lizard  / 375C / 6038
      base0B = "#34f4f0"; # Fluorescent Blue  / 3252C / 6027
      base0C = "#3193f5"; # Brilliant Azure / 2727C / 5015
      baseOD = "#c156f6"; # Blue-Violet / 2592C / 4006
      base0E = "#f62ac0"; # Royal Pink / 807C / 4010
      base0F = "#f42060"; # Deep Carmine Pink / 1925C / 3018

      alt08 = "#f66824"; # Orange-Red / 165C / 2008
      alt0B = "#41f3a4"; # Eucalyptus / 3395C / 6037
      alt0C = "#2abef8"; # Spiro Disco Ball / 298C / 5012
      alt0D = "#837ff5"; # Violets Are Blue / 814C / 4005

    };
  };
}
