{ nix-colors, ... }: {
  # usage:  a = "#${config.colorScheme.palette.base00}";

  colorScheme = {
    slug = "sorahiro-soft";
    name = "sorahiro-soft";
    author = "Soraefir @ Helcel";
    variant = "dark";
    palette = {
      # Format: Name, Pantone, RAL
      base00 = "#000000"; # Black / 419C / 9005
      base01 = "#060a0f"; # Rich Black / 532C / 9005
      base02 = "#212c38"; # Yankees Blue / 433C / 5011
      base03 = "#3f5268"; # Police Blue  / 432C / 5000
      base04 = "#617b9a"; # Slate Gray  / 5415C / 5014
      base05 = "#90a7c1"; # Pewter Blue / 535C / 5024
      base06 = "#c9d3df"; # Columbia Blue / 538C / 7047
      base07 = "#fcfcfc"; # Lotion / 663C / 9016

      alt00 = "#000000"; # Black / 419C / 9005
      alt01 = "#0c0906"; # Vampire Black  / 419C / 9005
      alt02 = "#312920"; # Pine Tree / 440C / 6022
      alt03 = "#5b4e3e"; # Olive Drab Camouflage / 411C / 7013
      alt04 = "#887660"; # Shadow / 404C / 7002
      alt05 = "#b8a083"; # Pale Taupe / 480C / 1019
      alt06 = "#e1cfb9"; # Desert Sand / 482C / 1015
      alt07 = "#fcfcfc"; # Lotion / 663C / 9016

      base08 = "#ffac56"; # Rajah  / 150C / 1017
      base09 = "#feea74"; # Shandy  / 127C / 1016
      base0A = "#bffe8a"; # Menthol  / 374C / 6018
      base0B = "#4cfefa"; # Electric Blue / 3252C / 6027
      base0C = "#62acfd"; # Blue Jeans / 279C / 5012
      base0D = "#9b9bfd"; # Maximum Blue Purple  / 2715C / 4005
      base0E = "#fe9bda"; # Lavender Rose / 223C / 4003
      base0F = "#fc8999"; # Tulip / 1775C / 3014
      
      alt08 = "#fe946a"; # Atomic Tangerine / 811C / 1034
      alt0B = "#87febf"; # Aquamarine / 353C / 6019
      alt0C = "#38c3fd"; # Picton Blue / 298C / 5012
      alt0D = "#dca2ff"; # Mauve / 2572C / 4005
    };
  };
}
